Package org.stianloader.micromixin.transform.internal.selectors.constant

## Class WildcardConstantSelector

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.annotation.ConstantSelector
  - - org.stianloader.micromixin.transform.internal.selectors.constant.WildcardConstantSelector

    public class WildcardConstantSelector
    extends ConstantSelector

A special type of `ConstantSelector` which selects all constants for a given type.

### Constructor Summary

Constructors
`WildcardConstantSelector​(java.lang.String typeDescriptor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `matchesConstant​(org.objectweb.asm.tree.AbstractInsnNode insn)`

### Methods inherited from class org.stianloader.micromixin.transform.internal.annotation.ConstantSelector

`parse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WildcardConstantSelector

    public WildcardConstantSelector​(@NotNull
                                    java.lang.String typeDescriptor)

### Method Detail

#### matchesConstant

    public boolean matchesConstant​(@NotNull
                                   org.objectweb.asm.tree.AbstractInsnNode insn)

Specified by:
  `matchesConstant` in class `ConstantSelector`